require 'spec_helper'

require 'sucker_punch/persistence/activerecord'

describe SuckerPunch::Persistence::ActiveRecord do
  db_config = YAML.load_file('spec/activerecord/db/config.yml')['development']
  db_config['database'] = "spec/activerecord/#{db_config['database']}"

  before(:all) do
    ActiveRecord::Base.establish_connection(db_config)
  end

  before(:each) do
    ActiveRecord::Base.establish_connection(db_config)
  end

  include_context 'database cleaning', :active_record

  after(:each) do
    ActiveRecord::Base.connection.close
  end

  include_examples 'a datastore adapter', 'ActiveRecord'
end
