require 'spec_helper'
require 'generators/sucker_punch/activerecord/migration_generator'

describe SuckerPunch::Persistence::ActiveRecord::MigrationGenerator, :type => :generator do
  include GeneratorSpec::TestCase
  destination File.expand_path('../tmp', __FILE__)

  after(:each) { prepare_destination }

  it "generates a migration for creating the Jobs table" do
    run_generator

    destination_root.should have_structure {
      directory 'db' do
        directory 'migrate' do
          migration 'create_jobs_table' do
            contains 'class CreateJobs'
            contains 'def change'
            contains 'create_table :jobs do |t|'
          end
        end
      end
    }
  end
end
