# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sucker_punch/persistence/version'

Gem::Specification.new do |spec|
  spec.name          = 'sucker_punch-persistence'
  spec.version       = SuckerPunch::Persistence::VERSION
  spec.authors       = ['Josh Jordan']
  spec.email         = ['josh.jordan@gmail.com']
  spec.summary       = %q{ActiveRecord and Mongoid persistence for asynchronous jobs created with sucker_punch}
  spec.description   = spec.summary
  spec.homepage      = 'http://www.github.com/joshjordan/sucker_punch-persistence'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'sucker_punch', '~> 1.0'

  #Mongoid: break out to a separate gem
  spec.add_dependency 'mongoid', '>= 3.0.0'

  #ActiveRecord: break out to a separate gem
  spec.add_dependency 'activerecord', '>= 3.0.0'
  spec.add_development_dependency 'database_cleaner'
  spec.add_development_dependency 'sqlite3'
  spec.add_development_dependency 'rails'
  spec.add_development_dependency 'standalone_migrations'
  spec.add_development_dependency 'generator_spec'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'

  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'pry-debugger'
end
